%define upstream_name    Capture-Tiny
%define upstream_version 0.25

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Capture STDOUT and STDERR from Perl, XS or external programs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/D/DA/DAGOLDEN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(List::Util)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
BuildArch:  noarch

%description
Capture::Tiny provides a simple, portable way to capture anything sent to
STDOUT or STDERR, regardless of whether it comes from Perl, from XS code or
from an external program. Optionally, output can be teed so that it is
captured while being passed through to the original handles. Yes, it even
works on Windows. Stop guessing which of a dozen capturing modules to use
in any particular situation and just use this one.

This module was heavily inspired by the IO::CaptureOutput manpage, which
provides similar functionality without the ability to tee output and with
more complicated code and API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.250.0-3.mga5
+ Revision: 745156
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.250.0-2.mga5
+ Revision: 683737
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 0.250.0-1.mga5
+ Revision: 664697
- update to 0.25

* Mon Feb 10 2014 sander85 <sander85> 0.240.0-1.mga5
+ Revision: 587894
- update to 0.24

* Sat Oct 19 2013 umeabot <umeabot> 0.220.0-2.mga4
+ Revision: 525954
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 0.220.0-1.mga4
+ Revision: 435007
- update to 0.22

* Sun Jan 13 2013 umeabot <umeabot> 0.210.0-2.mga3
+ Revision: 363780
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.210.0-1.mga3
+ Revision: 341936
- update to 0.21

* Wed Sep 26 2012 jquelin <jquelin> 0.200.0-1.mga3
+ Revision: 297966
- update to 0.20

* Wed Aug 29 2012 kharec <kharec> 0.190.0-1.mga3
+ Revision: 285193
- update to 0.19

* Tue Jun 05 2012 jquelin <jquelin> 0.180.0-1.mga3
+ Revision: 254609
- update to 0.18

* Thu Feb 23 2012 jquelin <jquelin> 0.170.0-1.mga2
+ Revision: 212721
- update to 0.17

* Wed Jan 04 2012 jquelin <jquelin> 0.150.0-1.mga2
+ Revision: 190286
- update to 0.15

* Thu Dec 08 2011 kharec <kharec> 0.130.0-1.mga2
+ Revision: 179084
- update to 0.13

* Wed Jun 15 2011 jquelin <jquelin> 0.110.0-1.mga2
+ Revision: 106501
- update to 0.11

* Thu Feb 10 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 49801
- update to 0.10
- update to 0.10

* Wed Jan 19 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 24192
- fix specs
- imported package perl-Capture-Tiny

